#ifndef _U2FS_FS_H
#define _U2FS_FS_H

#include <linux/fs.h>

extern struct inode_operations u2fs_file_inode_operations;
extern struct inode_operations u2fs_dir_inode_operations;
extern struct inode_operations u2fs_symlink_inode_operations;

extern int u2fs_lookup(struct inode * dir,const char * name, int len,
        	       struct inode ** result);
extern int u2fs_readdir(struct inode *inode, struct file *filp,
		        void* dirent, filldir_t filldir);
extern struct super_block *u2fs_read_super(struct super_block *s,void *data,
					   int silent);
extern void u2fs_read_inode(struct inode *inode);
extern struct buffer_head *u2fs_getblk(struct inode *inode, int bn);
extern struct buffer_head *u2fs_bread(struct inode *inode, int bn);
extern daddr_t u2fs_blknum(struct inode *inode, int bn);

extern int init_u2fs_fs(void);

#endif
